#include <iostream>
#include <utility>
#include <vector>
#include <algorithm>
#include <stdio.h>

using namespace std;

int main()
{
    long N, x1;
    long long s=0LL;
    float x2;
    double u=0, p;
    vector<pair<float, long> > a;

    cin>>N;
    for(long i=0L; i<N; i++)
    {
        cin>>x1>>x2;
        a.push_back({-x2, x1});
    }

    sort(a.begin(), a.end());

    for(long i=0L; i<N; i++)
    {
        s+=(long long) a[i].second;
        p=(double) ((-a[i].first/100.0)*s);
        if(p>u)
            u=p;
    }

    printf("%.5f", u);
    return 0;
}